###################################################
### chunk number 1: 
###################################################
rm(list=ls(all=TRUE))
old.op<-options()
options("show.signif.stars"=FALSE)
options(digits=2, width=75)
library(prefmod)
library(gnm)


###################################################
### chunk number 2: 
###################################################
## cems universities example
data(cemspc)
head(cemspc)


###################################################
### chunk number 3: 
###################################################
des<-llbt.design(cemspc,nitems=6,cov.sel="ENG")
head(des)


###################################################
### chunk number 4: 
###################################################
eng<-factor(des$ENG)
res<-glm(y~o1+o2+o3+o4+o5+o6+eng:(o1+o2+o3+o4+o5+o6)+mu*eng,
      family=poisson, data=des)
res$coefficients


###################################################
### chunk number 5: 
###################################################
eng<-factor(des$ENG)
res2<- gnm(formula = y ~ o1 + o2 + o3 + o4 + o5 + o6 + eng:(o1 + o2 +
o3 + o4 + o5 + o6), eliminate = eng:mu, family = poisson,
data = des)


###################################################
### chunk number 6: 
###################################################
res2


###################################################
### chunk number 7: 
###################################################
mfr<-llbt.design(cemspc,nitems=6,objnames=c("lo","pa","mi","sg","ba","st"),
       blnCasewise=TRUE)
mm<-model.matrix(~lo+pa+mi+sg+ba,data=mfr)
X<-mm[,-1]
p<-ncol(X)
ncat<-3
q<-length(levels(mfr$mu))*length(levels(mfr$CASE))
llbt.fit(mfr$y,X,q,ncat)


###################################################
### chunk number 8: 
###################################################
rgbdat<-read.table("RGB_PC.dat", header=TRUE)
dsgn <- patt.design(rgbdat,3,objnames=c("R","G","B"))


###################################################
### chunk number 9:  eval=FALSE
###################################################
## rgbdat<-read.table("RGB_PC.dat", header=TRUE)
## dsgn <- patt.design(rgbdat,3,objnames=c("R","G","B"))


###################################################
### chunk number 10: 
###################################################
head(dsgn,3)
m1<-glm(y~R+G+B, family=poisson, data=dsgn)
m1


###################################################
### chunk number 11: 
###################################################
pattPC.fit(cemspc, nitems=3)


###################################################
### chunk number 12: 
###################################################
## check for ignorable missing
pattPC.fit(cemspc, nitems=3,  NItest=TRUE)


###################################################
### chunk number 13: 
###################################################
## check if SEX has an effect
m1<-pattPC.fit(cemspc, nitems=3, formel=~1,elim=~SEX)
m2<-pattPC.fit(cemspc, nitems=3, formel=~SEX, elim=~SEX)
m2


###################################################
### chunk number 14: 
###################################################
load("conf.Rdata")
conf[5:8,]
mR<-pattR.fit(conf, nitems=6)


###################################################
### chunk number 15: 
###################################################
load("modelRsex.Rdata")


###################################################
### chunk number 16:  eval=FALSE
###################################################
## mRsex <- pattR.fit(conf, nitems=6, formel=~SEX, elim=~SEX)


###################################################
### chunk number 17: 
###################################################
worthmat<-patt.worth(mRsex)
worthmat


###################################################
### chunk number 18: 
###################################################
plotworth(worthmat)


